Optimize Redmine for any project, not just software dev (Change "Version" > "Milestone")

2009-11-06 21:26 - D W

Status: Closed Start date: 2009-11-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We're odd in that we use Redmine for a broad, all-purpose project tracking and client ticketing system rather than just a software

development project manager.  It works amazingly well for that but I found myself stealing glances at other products with a Milestone

and Roadmap feature.

Then I remembered something about how if you define a Software "Version", a Roadmap tab will magically appear.  All I had to do

then was edit the english language file to change "Version" to the more generic "Milestone" and we now have an all-purpose PM

system that can still be used for Revision #'s but also for projects that are not software dev!  BTW,tThe Roadmap view to track

milestones is fantastic.

If the goal is to position Redmine more broadly, I propose changing this naming convention or else make it a configurable option (e.g.

checkbox in Setup to indidcate whether using it for Software Dev or General Purpose PM).

I also changed "Issue" to "Ticket" in the language file but I understand that one is more of a personal preference.

Related issues:

Is duplicate of Redmine - Feature #724: change "versions" to "milestones" New 2008-02-22

History

#1 - 2009-11-16 19:00 - Holger Just

At one of our sites, we also changed the language definition from version to milestone.

This however affects the Wiki and possibly other corners too, as it also uses :label_version et al. So a simple change in the language files is not

globally sufficient. You have to add a new language definition for that and distinguish between the usage of "version" as a revision (e.g. in the wiki) or

as a milestone (e.g. the roadmap).

I can provide a (preliminary) patch for this later on if desired.

Apart from that: +1 from me :)

#2 - 2009-11-19 20:34 - Jean-Philippe Lang

- Category set to UI

#3 - 2009-12-06 23:02 - Jaco Vermeulen

I use redmine for more than software development too, so this would be a welcome change.

+1

#4 - 2009-12-06 23:23 - Nicolas Q.

Agreed, this is one of the reasons why my non-technical colleagues perceive Redmine to be strictly for software development.

So, +1

#5 - 2009-12-07 14:47 - Eric Voisard

I agree something could be done regarding the Version vs Milestone question.

This FR is very close to FR #724 'change "versions" to "milestones"': http://www.redmine.org/issues/724

+1

Eric
#6 - 2011-10-13 11:59 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #724.
